@font-face {
    font-family: "BBBReadMe-Regular";
    src: url(fonts/bbb-readme-main/otf/BBBReadMe-Regular.otf);
}
body {
    font-family: "BBBReadMe-Regular";
    font-optical-sizing: auto;
    font-style: normal;
    font-size: 1em;;
}
::marker {
    content: "";
}

/* style */
h1, h2, h3 {
    margin-bottom: 2rem;
    max-width: 100vw;
    text-align: center;
}
h1 {
    font-size: 6em;
}
h2{
    font-size: 3em;
}
h3 {
    font-size: 1em;
}
a {
    color: rgba(252, 244, 52, 0.75);;
    text-decoration: none;
}
a:hover {
    color: #ffffff;
}

main {
    width:100vw;
    height:100vh;
    z-index: 0;
    padding-top: 1vh;
    background-image: linear-gradient(45deg,rgba(252, 244, 52, .35) 0%, rgba(255, 255, 255, .35) 33%, rgba(156, 89, 209, .35) 66%, rgba(44, 44, 44, .35) 100%);
}
#default_panel {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.panel {
    display: flex;
    flex-direction: column;
    height: 75%;
    width: 90vw;
    position: absolute;
    top: 1vh;
    left: 5vw;
    opacity: 0;
    transition: opacity 1.2s ease;
}
.panel.visible {
    opacity: 1;
}
.panel_top {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: baseline;
    align-content: center;
    background-color: rgba(156, 89, 209, .5);
    padding : 5px 1px;
    border-radius: 50% 50px;
    box-shadow: 2px 2px 2px 1px rgb(44, 44, 44, 0.44);
}
.panel_content {
    flex: 1;
    padding: 5px;
    overflow: auto;
}
.panel_content > p {
    font-size: 1.4em;
}
.closeButton {
    color: rgb(44,44,44);
    background-color: rgba(252, 244, 52, 0.75);
    font-size: 1.1em;
    height: 33px;
    width: 33px;
    border-radius: 25% 12px;
    border-style: none;
    box-shadow: 2px 2px 2px 1px rgb(44, 44, 44, 0.44);
}
#buttons {
    position:absolute;
    bottom: 0;
    width: 100vw;
    display: flex;
    flex-direction: column;
}
#buttons > button {
    font-family: "BBBReadMe-Regular";
    background-color: rgba(156, 89, 209, 0.5);
    color: rgba(252, 244, 52, 1);
    width: 80vw;
    margin: 1vh auto;
    padding: 1vh 0;
    border-style: none;
    border-radius: 50% 50px;
    box-shadow: 2px 2px 2px 1px rgb(44, 44, 44, 0.44);
}
footer {
    position: relative;
    left:0;
    color: rgba(252, 244, 52, 0.75);
    background-color: rgba(44, 44, 44, 1);
    width: 100vw;
    
    font-size: 0.8em;
    padding: 5px 5px;
}
#credit {
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
    min-height: 6vh;
}